# `MUMPS_jll.jl` (v5.4.1+0)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl). The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/84853f0570eef74df81a71d1c3ccb7436fe02e7d/M/MUMPS/MUMPS@5/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.  If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://juliapackaging.github.io/BinaryBuilder.jl/dev/jll/).

## Sources

The tarballs for `MUMPS_jll.jl` have been built from these sources:

* compressed archive: http://mumps.enseeiht.fr/MUMPS_5.4.1.tar.gz (SHA256 checksum: `93034a1a9fe0876307136dcde7e98e9086e199de76f1c47da822e7d4de987fa8`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/84853f0570eef74df81a71d1c3ccb7436fe02e7d/M/MUMPS/MUMPS@5/bundled)

## Platforms

`MUMPS_jll.jl` is available for the following platforms:

* `Linux aarch64 {libc=glibc, libgfortran_version=3.0.0}` (`aarch64-linux-gnu-libgfortran3`)
* `Linux aarch64 {libc=glibc, libgfortran_version=4.0.0}` (`aarch64-linux-gnu-libgfortran4`)
* `Linux aarch64 {libc=glibc, libgfortran_version=5.0.0}` (`aarch64-linux-gnu-libgfortran5`)
* `Linux aarch64 {libc=musl, libgfortran_version=3.0.0}` (`aarch64-linux-musl-libgfortran3`)
* `Linux aarch64 {libc=musl, libgfortran_version=4.0.0}` (`aarch64-linux-musl-libgfortran4`)
* `Linux aarch64 {libc=musl, libgfortran_version=5.0.0}` (`aarch64-linux-musl-libgfortran5`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=3.0.0}` (`armv7l-linux-gnueabihf-libgfortran3`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=4.0.0}` (`armv7l-linux-gnueabihf-libgfortran4`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=5.0.0}` (`armv7l-linux-gnueabihf-libgfortran5`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=3.0.0}` (`armv7l-linux-musleabihf-libgfortran3`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=4.0.0}` (`armv7l-linux-musleabihf-libgfortran4`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=5.0.0}` (`armv7l-linux-musleabihf-libgfortran5`)
* `Linux i686 {libc=glibc, libgfortran_version=3.0.0}` (`i686-linux-gnu-libgfortran3`)
* `Linux i686 {libc=glibc, libgfortran_version=4.0.0}` (`i686-linux-gnu-libgfortran4`)
* `Linux i686 {libc=glibc, libgfortran_version=5.0.0}` (`i686-linux-gnu-libgfortran5`)
* `Linux i686 {libc=musl, libgfortran_version=3.0.0}` (`i686-linux-musl-libgfortran3`)
* `Linux i686 {libc=musl, libgfortran_version=4.0.0}` (`i686-linux-musl-libgfortran4`)
* `Linux i686 {libc=musl, libgfortran_version=5.0.0}` (`i686-linux-musl-libgfortran5`)
* `macOS x86_64 {libgfortran_version=3.0.0}` (`x86_64-apple-darwin-libgfortran3`)
* `macOS x86_64 {libgfortran_version=4.0.0}` (`x86_64-apple-darwin-libgfortran4`)
* `macOS x86_64 {libgfortran_version=5.0.0}` (`x86_64-apple-darwin-libgfortran5`)
* `Linux x86_64 {libc=glibc, libgfortran_version=3.0.0}` (`x86_64-linux-gnu-libgfortran3`)
* `Linux x86_64 {libc=glibc, libgfortran_version=4.0.0}` (`x86_64-linux-gnu-libgfortran4`)
* `Linux x86_64 {libc=glibc, libgfortran_version=5.0.0}` (`x86_64-linux-gnu-libgfortran5`)
* `Linux x86_64 {libc=musl, libgfortran_version=3.0.0}` (`x86_64-linux-musl-libgfortran3`)
* `Linux x86_64 {libc=musl, libgfortran_version=4.0.0}` (`x86_64-linux-musl-libgfortran4`)
* `Linux x86_64 {libc=musl, libgfortran_version=5.0.0}` (`x86_64-linux-musl-libgfortran5`)
* `FreeBSD x86_64 {libgfortran_version=3.0.0}` (`x86_64-unknown-freebsd-libgfortran3`)
* `FreeBSD x86_64 {libgfortran_version=4.0.0}` (`x86_64-unknown-freebsd-libgfortran4`)
* `FreeBSD x86_64 {libgfortran_version=5.0.0}` (`x86_64-unknown-freebsd-libgfortran5`)

## Dependencies

The following JLL packages are required by `MUMPS_jll.jl`:

* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)
* [`METIS_jll`](https://github.com/JuliaBinaryWrappers/METIS_jll.jl)
* [`MPICH_jll`](https://github.com/JuliaBinaryWrappers/MPICH_jll.jl)
* [`OpenBLAS_jll`](https://github.com/JuliaBinaryWrappers/OpenBLAS_jll.jl)
* [`PARMETIS_jll`](https://github.com/JuliaBinaryWrappers/PARMETIS_jll.jl)
* [`SCALAPACK_jll`](https://github.com/JuliaBinaryWrappers/SCALAPACK_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libcmumps`
* `LibraryProduct`: `libdmumps`
* `LibraryProduct`: `libsmumps`
* `LibraryProduct`: `libzmumps`
